/*
 * (C) Copyright 2001
 * Wolfgang Denk, DENX Software Engineering, wd@denx.de.
 *
 * (C) Copyright 2000
 * Rob Taylor, Flying Pig Systems. robt@flyingpig.com.
 *
 * (C) Copyright 2000
 * James Dougherty, jfd@cs.stanford.edu
 * 
 * See file CREDITS for list of people who contributed to this
 * project.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 */

#include <ppcboot.h>
#include "ns16550.h"

volatile struct NS16550 *console;

void
serial_init (unsigned long dummy, int baudrate)
{
  ns16550_init(baudrate);
}

void
serial_putc(const char c)
{
    if (c == '\n')
    {
        serial_putc ('\r');
    }
    ns16550_putc((unsigned char)c);
}

void
serial_puts (const char *s)
{
    while (*s) {
        serial_putc (*s++);
    }
}

int
serial_getc(void)
{
    return ns16550_getc();
}

int
serial_tstc(void)
{
    return ns16550_tstc();
}

void
serial_setbrg (unsigned long dummy, int baudrate)
{
  ns16550_init(baudrate);
}

